Bug 993 - [MySQL also?] indexer throws core and crashes MySQL
: [MySQL also?] indexer throws core and crashes MySQL
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/mnogosearch)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-06-12 21:41 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-06-12 21:41:11
while indexing, *sometimes* (different results even on subsequent runs) indexer
will:
* freeze (doing something weird to mysqld)
* bail out with SIGSEGV, carrying mysqld out too.
* crash mysqld and tell:
Indexer[7958]: [1] Error: \'#2006: MySQL server has gone away\'

(see also \"Additional information\" or better ask me by mail -- mike
at altlinux ru)

PS: well I do understand that it\'s not likely only mnogosearch\'s fault but
rather MySQL -- but crash pattern is mnogosearch-specific (as to me) so I
decided to put it this way...
---

---
* freeze.  (after that service mysqld restart says:
Shutting down mysqld: /sbin/service: line 63:  7798 Terminated             
\"${SERVICEDIR}/${SERVICE}\" ${OPTIONS}
-- seems like mysql initscript bug?) 

* bail out with SIGSEGV, carrying mysqld out too.
[<a href="mailto:root@tiny" target="_new">root@tiny</a> root]# service mysqld
restart
Shutting down mysqld:                                                          
                                            [FAILED]
Adjusting environment for mysqld:                                              
                                            [  OK  ]
Starting mysqld:                                                               
                                            [  OK  ]

* crash mysqld and tell:
Indexer[7956]: indexer from mnogosearch-3.1.19/MySQL started with
\'/etc/mnogosearch/indexer.conf\'
Indexer[7958]: [1] <a
href="http://localhost/robots.txt">http://localhost/robots.txt</a>
Indexer[7958]: [1] <a href="http://localhost/">http://localhost/</a>
Indexer[7958]: [1] <a
href="http://localhost/php-manual/">http://localhost/php-manual/</a>
Indexer[7958]: [1] <a
href="http://localhost/manual/index.html">http://localhost/manual/index.html</a>
Indexer[7958]: [1] Error: \'#2006: MySQL server has gone away\'
------- Comment #1 From 2002-08-15 19:25:01 -------
The bug appears clearly to be the one of MySQL-server (overoptimization) which
seems to be partially fixed in 3.23.51-alt2 but needs further investigation
regarding \&quot;real fix\&quot;.
------- Comment #2 From 2002-08-15 19:25:01 -------
The bug appears clearly to be the one of MySQL-server (overoptimization) which
seems to be partially fixed in 3.23.51-alt2 but needs further investigation
regarding \&quot;real fix\&quot;.